import request from '@/utils/request'

export function saveOxygenates(id, data) {
  return request({
    url: '/api/manage/saveoxygenates?id=' + id,
    method: 'Post',
    data: data
  })
}

export function saveHardWater(id,data){
  return request({
    url:"/api/manage/savehardwater?id="+id,
    method:"Post",
    data:data
  })
}

export function saveWater(id,data){
  return request({
    url:"/api/manage/savewater?id="+id,
    method:"Post",
    data:data
  })
}

export function saveDevicePH(id,data){
  return request({
    url:"/api/manage/savedeviceph?id="+id,
    method:"Post",
    data:data,
  })
}

export function editOxygenates(id,params){
  
  return request({
    url:"/api/manage/editoxygenates?id="+id,
    method:"get",
    params:params
  })
}

export function UpdateOxygenates(data) {
    return request({
      url: '/api/manage/updateoxygenates',
      method: 'post',
      data: data
    })
}

export function editHardWater(id,params){
   return request({
      url:"/api/manage/edithardwater?id="+id,
      method:"Get",
      params:params
   })
}

export function editWater(id,params){
   return request({
     url:"/api/manage/editwater?id="+id,
     method:"get",
     params:params
   })
}

export function editDevicePh(id,params){
  return request({
    url:"/api/manage/editdeviceph?id="+id,
    method:"get",
    params:params
  })
}

export function getAllDoctorList(params){
   return request({
     url:"/api/manage/getalldoctlist",
     method:"get",
     params:params
   })
}

export function saveAirDisinfect(params){
    return request({
      url:"/api/manage/saveairdisinfect",
      method:"get",
      params:params
    })
}

export function getAirList(params){
    
    return request({
      url:"/api/manage/getairlist",
      method:"get",
      params:params
    })
}

export function getAirDisinfectDetail(id,params){
   
  return request({
    url:"/api/manage/getairdisinfctdetal?id="+id,
    method:"Get",
    params:params
  })
}

export function updateAirDisinfect(params){
  
  return request({
    url:"/api/manage/updateairdisinfect",
    method:"Get",
    params:params
  })
}

export function deleteAirDisinfect(id,params){
  
  return request({
    url:"/api/manage/deleteairdisinfect?id="+id,
    method:"get",
    params:params,
  })
}

export function saveBodyDisinfect(params){
   
  return request({
    url:"/api/manage/savebodydisinfect",
    method:"Get",
    params:params
  })
}

export function getBodyList(params){
  
  return request({
    url:"/api/manage/getbodylist",
    method:"get",
    params:params
  })
}

export function getBodyDisinfectDetail(id,params){
  
  return request({
    url:"/api/manage/getbodydisinfectdetal?id="+id,
    method:"Get",
    params:params
  })
}

export function updateBodyDisinfect(params){
  
  return request({
    url:"/api/manage/updatebodydisinfect",
    method:"get",
    params:params
  })
}

export function deleteBodyDisinfect(id,params){
  
  return request({
    url:"/api/manage/deletebodydisinfect?id="+id,
    method:"get",
    params:params
  })
}

export function UpdateHadWater(data){
  
  return request({
    url:"/api/manage/updatehadwater",
    method:"post",
    data:data,
  })
}

export function updateWater(data){

  return request({
    url:"/api/manage/updatewater",
    method:"post",
    data:data
  })
}

export function updateDevicePh(data){
  
  return request({
    url:"/api/manage/updatedeviceph",
    method:"post",
    data:data
  })
}

export function DeleteOxygenates(id,params){
   
  return request({
    url:"/api/manage/deleteoxygenates?id="+id,
    method:"get",
    params:params
  })
} 

export function DeleteHadWater(id,params){
  
  return request({
    url:"/api/manage/deletehadwater?id="+id,
    method:"get",
    params:params
  })
}

export function DeleteWater(id,params){
  
  return request({
    url:"/api/manage/deletewater?id="+id,
    method:"get",
    params:params
  })
}

export function DeleteDevicePh(id,params){
  
  return request({
    url:"/api/manage/deletedeviceph?id="+id,
    method:"Get",
    params:params
  })
}